Skala
Work order operation logs

Replace a work order operation log

Completely replaces the data of an existing work order operation log with the provided payload.

PUT
/api/work_order_operation_logs/{id}

Completely replaces the data of an existing work order operation log with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

WorkOrderOperationLog identifier

Request Body

application/json

The updated WorkOrderOperationLog resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/work_order_operation_logs/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "workOrder": "/entity/1",
  "operation": "/entity/1",
  "startDate": "2019-08-24T14:15:22Z",
  "endDate": "2019-08-24T14:15:22Z",
  "startByUser": "/entity/1",
  "endByUser": "/entity/1",
  "duration": 0,
  "resource": "/entity/1",
  "plannedDuration": 0,
  "plannedCost": 0,
  "actualCost": 0,
  "company": "/entity/1",
  "startByUserFullName": "string",
  "endByUserFullName": "string",
  "createdBy": "/entity/1",
  "updatedBy": "/entity/1",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty